GN_Version = "1.0"

function GN_OnLoad(self)
	self:RegisterEvent("CHAT_MSG_SKILL")
	SLASH_GN1, SLASH_GN2, SLASH_GN3 = '/gn', '/gathernotify', '/gnotify'
end

function GN_OnEvent(self, event, ...)
	local _,_,skill = string.find(...,"Your skill in (%a*) has increased to")
	local _,_,level = string.find(...,"Your skill in .* has increased to (%d*)")
	level = tonumber(level)
	
	if (skill == "Skinning") then
		local msg = "Skinning increased to "..level..". Now able to skin level "
		if ((level < 100) and (level % 10 == 0)) then -- If level is under 100, and is a multiple of 10
			local clevel = (level/10)+10
			GN_Msg(msg..clevel.." creatures")
		elseif ((level >= 100) and (level <= 365) and (level % 5 == 0)) then -- If level is between 100 and 365, and is a multiple of 5
			local clevel = level/5
			GN_Msg(msg..clevel.." creatures")
		elseif (level == 375) then GN_Msg(msg.."74 creatures")
		elseif (level == 385) then GN_Msg(msg.."75 creatures")
		elseif (level == 395) then GN_Msg(msg.."76 creatures")
		elseif (level == 405) then GN_Msg(msg.."77 creatures")
		elseif (level == 415) then GN_Msg(msg.."78 creatures")
		elseif (level == 425) then GN_Msg(msg.."79 creatures")
		elseif (level == 435) then GN_Msg(msg.."80 creatures")
		elseif (level == 440) then GN_Msg(msg.."81 creatures")
		elseif (level == 445) then GN_Msg(msg.."82 creatures")
		elseif (level == 450) then GN_Msg(msg.."83 creatures")
		elseif (level == 470) then GN_Msg(msg.."84 creatures")
		elseif (level == 490) then GN_Msg(msg.."85 creatures")
		end
		
	elseif (skill == "Mining") then
		local msg = "Mining increased to "..level..". Now able to mine: "
			 if (level == 65) then GN_Msg(msg.."Tin")
		 elseif (level == 75) then GN_Msg(msg.."Silver")
		elseif (level == 125) then GN_Msg(msg.."Iron")
		elseif (level == 155) then GN_Msg(msg.."Gold")
		elseif (level == 175) then GN_Msg(msg.."Mithril")
		elseif (level == 205) then GN_Msg(msg.."Truesilver")
		elseif (level == 230) then GN_Msg(msg.."Dark Iron and Small Thorium")
		elseif (level == 255) then GN_Msg(msg.."Rich Thorium")
		elseif (level == 275) then GN_Msg(msg.."Fel Iron")
		elseif (level == 325) then GN_Msg(msg.."Adamantite")
		elseif (level == 350) then GN_Msg(msg.."Rich Adamantite and Cobalt")
		elseif (level == 375) then GN_Msg(msg.."Khorium and Rich Cobalt")
		elseif (level == 400) then GN_Msg(msg.."Saronite")
		elseif (level == 425) then GN_Msg(msg.."Rich Saronite and Obsidium")
		elseif (level == 450) then GN_Msg(msg.."Rich Obsidium and Titanium")
		elseif (level == 475) then GN_Msg(msg.."Elementium")
		elseif (level == 500) then GN_Msg(msg.."Rich Elementium")
		elseif (level == 525) then GN_Msg(msg.."Pyrite and Rich Pyrite")
		end
		
	elseif (skill == "Herbalism") then
		local msg = "Herbalism increased to "..level..". Now able to pick: "
		     if (level == 15) then GN_Msg(msg.."Earthroot")
		 elseif (level == 50) then GN_Msg(msg.."Mageroyal")
		 elseif (level == 70) then GN_Msg(msg.."Briarthorn")
		 elseif (level == 80) then GN_Msg(msg.."Stranglekelp and Bruiseweed")
		elseif (level == 105) then GN_Msg(msg.."Grave Moss")
		elseif (level == 115) then GN_Msg(msg.."Wild Steelbloom")
		elseif (level == 125) then GN_Msg(msg.."Kingsblood")
		elseif (level == 150) then GN_Msg(msg.."Liferoot, Fadeleaf and Goldthorn")
		elseif (level == 160) then GN_Msg(msg.."Khadgar's Whisker")
		elseif (level == 195) then GN_Msg(msg.."Dragon's Teeth")
		elseif (level == 205) then GN_Msg(msg.."Firebloom")
		elseif (level == 210) then GN_Msg(msg.."Purple Lotus")
		elseif (level == 220) then GN_Msg(msg.."Arthas' Tears")
		elseif (level == 230) then GN_Msg(msg.."Sungrass")
		elseif (level == 235) then GN_Msg(msg.."Blindweed")
		elseif (level == 245) then GN_Msg(msg.."Ghost Mushroom")
		elseif (level == 250) then GN_Msg(msg.."Gromsblood")
		elseif (level == 260) then GN_Msg(msg.."Golden Sansam")
		elseif (level == 270) then GN_Msg(msg.."Dreamfoil")
		elseif (level == 280) then GN_Msg(msg.."Mountain Silversage")
		elseif (level == 285) then GN_Msg(msg.."Sorrowmoss")
		elseif (level == 290) then GN_Msg(msg.."Icecap")
		elseif (level == 300) then GN_Msg(msg.."Black Lotus and Felweed")
		elseif (level == 315) then GN_Msg(msg.."Dreaming Glory")
		elseif (level == 325) then GN_Msg(msg.."Ragveil and Terocone")
		elseif (level == 335) then GN_Msg(msg.."Flame Cap")
		elseif (level == 340) then GN_Msg(msg.."Ancient Lichen")
		elseif (level == 350) then GN_Msg(msg.."Netherbloom and Goldclover")
		elseif (level == 360) then GN_Msg(msg.."Firethorn")
		elseif (level == 365) then GN_Msg(msg.."Nightmare Vine")
		elseif (level == 375) then GN_Msg(msg.."Mana Thistle and Tiger Lily")
		elseif (level == 385) then GN_Msg(msg.."Talandra's Rose")
		elseif (level == 400) then GN_Msg(msg.."Frozen Herb and Adder's Tongue")
		elseif (level == 425) then GN_Msg(msg.."Lichbloom, Cinderbloom, Stormvine and Azshara's Veil")
		elseif (level == 435) then GN_Msg(msg.."Icethorn")
		elseif (level == 450) then GN_Msg(msg.."Frost Lotus")
		elseif (level == 475) then GN_Msg(msg.."Heartblossom")
		elseif (level == 500) then GN_Msg(msg.."Whiptail")
		elseif (level == 525) then GN_Msg(msg.."Twilight Jasmine")
		end
	end
end

function GN_Msg(msg)
	DEFAULT_CHAT_FRAME:AddMessage("|cffd2b48c[GatherNotify]|r "..msg)
end

local function GN_Slash(cmd)
	GN_Msg("GatherNotify Version: "..GN_Version)
end

SlashCmdList["GN"] = GN_Slash